<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="ResourceUsageType">
    <xs:annotation>
      <xs:appinfo>
        <sifChar />
        <privacyRating>Low</privacyRating>
      </xs:appinfo>
      <xs:documentation>Note: WARNING This object has been marked for deprecation and is planned to be removed with the 3.5 SIF AU Data Model release. If you plan to use this object, please contact your SIF AU DSWG member, please note that it may become unavailable.
		  </xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="SchoolInfoRefId" type="IdRefType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>M</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation>SIF RefId that identifies the school providing the resource being tracked.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="ResourceUsageContentType">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Code" type="AUCodeSetsResourceUsageContentTypeType">
              <xs:annotation>
                <xs:appinfo>
                  <sifChar>M</sifChar>
                  <privacyRating>Low</privacyRating>
                </xs:appinfo>
                <xs:documentation>Codeset for type of resource being tracked.</xs:documentation>
              </xs:annotation>
            </xs:element>
            <xs:element name="LocalDescription" minOccurs="0" nillable="true" type="xs:string">
              <xs:annotation>
                <xs:appinfo>
                  <sifChar>O</sifChar>
                  <privacyRating>Low</privacyRating>
                </xs:appinfo>
                <xs:documentation>Local description of type of resource being tracked.</xs:documentation>
              </xs:annotation>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="ResourceReportColumnList">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="ResourceReportColumn" maxOccurs="unbounded">
              <xs:complexType>
                <xs:sequence>
                  <xs:element name="ColumnName" type="xs:normalizedString">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>M</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>Name of a ReportRow value.</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                  <xs:element name="ColumnDescription" minOccurs="0" nillable="true" type="xs:normalizedString">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>O</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>Description of a ReportRow value.</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                  <xs:element name="ColumnDelimiter" minOccurs="0" nillable="true" type="xs:normalizedString">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>O</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>Delimiter separating this ReportRow value from the next; is assumed by default to be ",", with CSV parsing rules.</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="ResourceReportLineList">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="ResourceReportLine" maxOccurs="unbounded">
              <xs:complexType>
                <xs:sequence>
                  <xs:element name="SIF_RefId" minOccurs="0" nillable="true">
                    <xs:complexType>
                      <xs:annotation>
                        <xs:appinfo>
                          <sifChar>O</sifChar>
                          <privacyRating>Low</privacyRating>
                        </xs:appinfo>
                        <xs:documentation>SIF RefId that identifies the student, staff or group whose usage is being tracked.</xs:documentation>
                      </xs:annotation>
                      <xs:simpleContent>
                        <xs:extension base="IdRefType">
                          <xs:attribute name="SIF_RefObject" use="required">
                            <xs:annotation>
                              <xs:appinfo>
                                <sifChar>M</sifChar>
                                <privacyRating>Low</privacyRating>
                              </xs:appinfo>
                              <xs:documentation>
        The type of SIF object that the ReportUserRefId attribute identifies.
     </xs:documentation>
                            </xs:annotation>
                            <xs:simpleType>
                              <xs:restriction base="xs:token">
                                <xs:enumeration value="StudentPersonal" />
                                <xs:enumeration value="StaffPersonal" />
                                <xs:enumeration value="TeachingGroup" />
                              </xs:restriction>
                            </xs:simpleType>
                          </xs:attribute>
                        </xs:extension>
                      </xs:simpleContent>
                    </xs:complexType>
                  </xs:element>
                  <xs:element name="StartDate" type="xs:date">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>M</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>Starting date for reporting period of resource usage.</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                  <xs:element name="EndDate" minOccurs="0" nillable="true" type="xs:date">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>O</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>End date for reporting period of resource usage.</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                  <xs:element name="CurrentCost" type="MonetaryAmountType">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>M</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>Current cost of reported resource usage.</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                  <xs:element name="ReportRow" type="xs:normalizedString">
                    <xs:annotation>
                      <xs:appinfo>
                        <sifChar>M</sifChar>
                        <privacyRating>Low</privacyRating>
                      </xs:appinfo>
                      <xs:documentation>Key of report-specific values, defined in ReportColumn</xs:documentation>
                    </xs:annotation>
                  </xs:element>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation />
        </xs:annotation>
      </xs:element>
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType">
        <xs:annotation>
          <xs:appinfo>
            <sifChar>O</sifChar>
            <privacyRating>Low</privacyRating>
          </xs:appinfo>
          <xs:documentation />
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType">
      <xs:annotation>
        <xs:appinfo>
          <sifChar>M</sifChar>
          <privacyRating>Low</privacyRating>
        </xs:appinfo>
        <xs:documentation>The SIF RefId that uniquely identifies this object.</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>

  <xs:element name="ResourceUsage" type="ResourceUsageType">
    <xs:key name="ResourceUsageKey1">
      <xs:selector xpath="./ResourceUsage" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="ResourceUsageCollectionType">
    <xs:sequence>
      <xs:element name="ResourceUsage" type="ResourceUsageType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="ResourceUsages" type="ResourceUsageCollectionType" />

</xs:schema>